# LocalPortForwarder.DirectTCPIPChannel (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.connection.channel.direct
Class LocalPortForwarder.DirectTCPIPChannel

    java.lang.Object
      net.schmizz.sshj.connection.channel.AbstractChannel
          net.schmizz.sshj.connection.channel.direct.AbstractDirectChannel
              net.schmizz.sshj.connection.channel.direct.LocalPortForwarder.DirectTCPIPChannel

All Implemented Interfaces:
  Closeable, ErrorNotifiable, SSHPacketHandler, Channel, Channel.Direct

Enclosing class:
  LocalPortForwarder

    public static class LocalPortForwarder.DirectTCPIPChannel

extends AbstractDirectChannel

Nested Class Summary

Nested classes/interfaces inherited from interface net.schmizz.sshj.connection.channel.Channel
`Channel.Direct, Channel.Forwarded`

Nested classes/interfaces inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`ErrorNotifiable.Util`

Field Summary
`protected LocalPortForwarder.Parameters` `parameters`
`protected Socket` `socket`

Fields inherited from class net.schmizz.sshj.connection.channel.AbstractChannel
`close, conn, log, lwin, open, rwin, trans`

Constructor Summary
`LocalPortForwarder.DirectTCPIPChannel(Connection conn, Socket socket, LocalPortForwarder.Parameters parameters)`

Method Summary
`protected SSHPacket` `buildOpenReq()`
`protected void` `start()`

Methods inherited from class net.schmizz.sshj.connection.channel.direct.AbstractDirectChannel
`gotUnknown, open`

Methods inherited from class net.schmizz.sshj.connection.channel.AbstractChannel
`close, closeAllStreams, eofInputStreams, finishOff, getAutoExpand, getID, getInputStream, getLocalMaxPacketSize, getLocalWinSize, getOutputStream, getRecipient, getRemoteMaxPacketSize, getRemoteWinSize, getType, gotExtendedData, handle, handleRequest, init, isOpen, join, join, newBuffer, notifyError, receiveInto, sendChannelRequest, sendClose, sendEOF, setAutoExpand, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.schmizz.sshj.connection.channel.Channel
`close, getAutoExpand, getID, getInputStream, getLocalMaxPacketSize, getLocalWinSize, getOutputStream, getRecipient, getRemoteMaxPacketSize, getRemoteWinSize, getType, isOpen, join, join, sendEOF, setAutoExpand`

Methods inherited from interface net.schmizz.sshj.common.SSHPacketHandler
`handle`

Methods inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`notifyError`

Field Detail

### socket

    protected final Socket socket

### parameters

    protected final LocalPortForwarder.Parameters parameters

Constructor Detail

### LocalPortForwarder.DirectTCPIPChannel

    public LocalPortForwarder.DirectTCPIPChannel(Connection conn,
                                                 Socket socket,
                                                 LocalPortForwarder.Parameters parameters)

Method Detail

### start

    protected void start()
                  throws IOException

  Throws:
    `IOException`

### buildOpenReq

    protected SSHPacket buildOpenReq()

  Overrides:
    `buildOpenReq` in class `AbstractDirectChannel`

Copyright © 2009-2012. All Rights Reserved.